package com.emato.file.tunnel.common.constant;

/**
 * @author lhm
 * @version 1.0
 * 2021-09-10 15:39
 */
public enum ResultCodeEnum {
    /** 成功 */
    SUCCESS("0", "成功"),
    /** 失败 */
    FAILURE("-1", "失败");

    /** 状态码 */
    private String code;

    /** 信息 */
    private String msg;

    private ResultCodeEnum(String code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }


}
