package com.emato.file.tunnel.mq.callback;

import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.ReturnedMessage;
import org.springframework.amqp.rabbit.core.RabbitTemplate;

/**
 * @author lhm
 * @version 1.0
 * 2021-08-25 16:49
 */
@Slf4j
public class SimpleReturnsCallBack implements RabbitTemplate.ReturnsCallback {

    /**
     * Returned message callback.
     *
     * @param returned the returned message and metadata.
     */
    @Override
    public void returnedMessage(ReturnedMessage returned) {
        log.warn("----- 该消息: {} 没有到queue! -----", returned.toString());
    }
}
