package com.emato.file.tunnel.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 深关通相关配置
 * @author lhm
 * @version 1.0
 * 2021-08-24 16:00
 */
@ConfigurationProperties(prefix = "cport")
@Data
public class CPortProperties {

    private String pushDir;

    private String pullDir;

    private Integer scanHandleSize;

    private Boolean ceb621;

}
